<nav class="bg-gray-800">
  <div class="mx-auto w-full px-2 sm:px-4 lg:px-8">
    <div class="relative flex h-16 items-center justify-start">
      <div class="flex items-center px-2 lg:px-0">
        <div class="flex-shrink-0" [routerLink]="['/']">
          <img class="block h-8 w-auto lg:hidden" src="https://tailwindui.com/img/logos/mark.svg?color=indigo&shade=500" alt="Your Company">
          <img class="hidden h-8 w-auto lg:block" src="https://tailwindui.com/img/logos/mark.svg?color=indigo&shade=500" alt="Your Company">
        </div>
        <div class="hidden lg:ml-6 lg:block">
          <div class="flex space-x-4">
            <!-- Current: "bg-gray-900 text-white", Default: "text-gray-300 hover:bg-gray-700 hover:text-white" -->
            <a class="rounded-md px-3 py-2 text-sm font-medium text-white hover:bg-gray-700 hover:text-white" [routerLink]="['/main']" [routerLinkActive]="['bg-gray-900']">Αρχική</a>
            <a class="rounded-md px-3 py-2 text-sm font-medium text-white hover:bg-gray-700 hover:text-white" [routerLink]="['/bookstore']" [routerLinkActive]="['bg-gray-900']">Βιβλιοθηκη</a>
            <a class="rounded-md px-3 py-2 text-sm font-medium text-white hover:bg-gray-700 hover:text-white" [routerLink]="['/books']" [routerLinkActive]="['bg-gray-900']">Ευρετηριο βιβλιων</a>
            <a class="rounded-md px-3 py-2 text-sm font-medium text-white hover:bg-gray-700 hover:text-white" [routerLink]="['/contact-us']" [routerLinkActive]="['bg-gray-900']">Επικοινωνια</a>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Mobile menu, show/hide based on menu state. -->
  <div class="lg:hidden" id="mobile-menu">
    <div class="space-y-1 px-2 pt-2 pb-3">
      <!-- Current: "bg-gray-900 text-white", Default: "text-gray-300 hover:bg-gray-700 hover:text-white" -->
      <a href="#" class="block rounded-md bg-gray-900 px-3 py-2 text-base font-medium text-white" [routerLink]="['/main']" [routerLinkActive]="['bg-gray-900']">Αρχική</a>
      <a href="#" class="block rounded-md px-3 py-2 text-base font-medium text-white hover:bg-gray-700 hover:text-white" [routerLink]="['/bookstore']" [routerLinkActive]="['bg-gray-900']">Βιβλιοθηκη</a>
      <a href="#" class="block rounded-md px-3 py-2 text-base font-medium text-white hover:bg-gray-700 hover:text-white" [routerLink]="['/books']" [routerLinkActive]="['bg-gray-900']">Ευρετηριο βιβλιων</a>
      <a href="#" class="block rounded-md px-3 py-2 text-base font-medium text-white hover:bg-gray-700 hover:text-white" [routerLink]="['/contact-us']" [routerLinkActive]="['bg-gray-900']">Επικοινωνια</a>
    </div>
  </div>
</nav>
